# Auto Reasoning Mode

Auto Reasoning mode provides a custom configuration of [`auto`](/arcee-conductor/features-and-functionality/auto-mode.md) with all reasoning models.&#x20;

`auto-reasoning` will take in your prompt and route it to the most appropriate reasoning model based on complexity, task type, domain, and language.&#x20;

{% hint style="info" %}
For details on the router, see [Auto Mode](/arcee-conductor/features-and-functionality/auto-mode.md).
{% endhint %}

### Models

Based on the classifications from the model router, the request is routed to one of the language models behind Arcee Conductor: `auto-reasoning`. The models which can currently be routed to include:

<table><thead><tr><th width="185.08984375">Model</th><th width="544.859375">Description</th><th data-hidden></th></tr></thead><tbody><tr><td>Arcee Maestro</td><td>Arcee AI's 32B parameter reasoning SLM which offers advanced reasoning capabilities without sacrificing performance. Maestro excels at simple to medium complexity reasoning tasks and offers substantially cheaper cost compared to other options.</td><td></td></tr><tr><td>Deepseek R1</td><td>An open-source reasoning model from Deepseek which excels at math, coding, and logic tasks.</td><td></td></tr><tr><td>o3 mini-high</td><td>A closed source reasoning model from Open AI optimized for STEM applications, exceling in science, math, and coding benchmarks.</td><td></td></tr><tr><td>Claude Sonnet 3.7 Extended Thinking</td><td>A closed-source LLM from Anthropic with extended reasoning capabilities which performs well for complex problem solving and coding tasks.</td><td></td></tr></tbody></table>

### API

**Request Syntax**

```
curl -X POST https://models.arcee.ai/v1/chat/completions \
  -H "Authorization: Bearer $ARCEE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
        "model": "auto-reasoning",
        "messages": [{"role": "user", "content": "hi"}]
      }'
```

**Response**

```
{
  "id": "npd1kq7-z1gNr-92e7e7dee8d66bf7",
  "object": "chat.completion",
  "created": 1744347473,
  "model": "arcee-ai/maestro-reasoning",
  "prompt": [],
  "choices": [
    {
      "finish_reason": "stop",
      "seed": 1338453356742372900,
      "logprobs": null,
      "index": 0,
      "message": {
        "role": "assistant",
        "content": "Okay, the user said \"hi\". I should respond in a friendly way. Let me think of a simple greeting. Maybe \"Hello! How can I assist you today?\" That sounds good. It's polite and opens the conversation for them to explain what they need help with. I'll go with that.\n</think>\n\nHello! How can I assist you today?",
        "tool_calls": []
      }
    }
  ],
  "usage": {
    "prompt_tokens": 11,
    "completion_tokens": 74,
    "total_tokens": 85
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.arcee.ai/arcee-conductor/features-and-functionality/auto-reasoning-mode.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
